Subject: Re: Enhanced locale support for 1.4
To: None <,,>
From: Noriyuki Soda <>
List: tech-userlevel
Date: 06/14/1999 21:12:16
> I wanted better support for locales, so I integrated new locale support
> into my 1.4 box's libc based on the FreeBSD 3.2 locale support.

I agree that current FreeBSD locale support is better than NetBSD's, 
but it is not good enough.

> Unfortunately the change is not binary compatible with the prior libc so
> so the patch bumps the major version of libc.

And when we implement enough features, binary compatibility to
FreeBSD's locale library may be lost,
Because of this, I think FreeBSD locale support is not ready to 
integrate to NetBSD.

Many FreeBSD users in Japan are not satisfied FreeBSD's locale.
And we (both FreeBSD and NetBSD and OpenBSD users in Japan) are going
to implement new locale library.

Please contact ("ja" is japanese language), for 
now. Perhaps we should create enlish mailing list about this.